<?
// ******************************************************************************
// php dynamic resizer with cache
// by Fabrizio Zellini <http://fabrizio.zellini.org>
// Distributed under the GNU General Public Licence
// ******************************************************************************

// how much time the images must be kept in local cache
define ('CACHETIME', 3600);

// parameters are crypted ?
define ('CRYPT','1');

if (defined('CRYPT') && CRYPT){
  require_once 'std.encryption.class.inc';
}
require_once ('resizer.php');

$dimensions = getParameterValue ($_GET,'size');
$imgpath = getParameterValue ($_GET,'url');

if (defined ('CRYPT') && CRYPT) {
  $resizepath= realpath(dirname(__FILE__).'/resize.php');
  $key="UNIQUE-".filemtime($resizepath);
  $crypt = new encryption_class;
  $dimensions = $crypt->decrypt($key, $dimensions);
  $imgpath = $crypt->decrypt($key, $imgpath);
}

if ($dimensions && $imgpath) 
  resizeAndOuput($dimensions, $imgpath);
//echo $dimensions."-".$imgpath;

?>